Package com.io7m.idstore.user_client.api

# Record Class IdUClientConfiguration

java.lang.Object
java.lang.Record
com.io7m.idstore.user_client.api.IdUClientConfiguration

Record Components:
  `openTelemetry` - The OpenTelemetry API
  `clock` - The clock used for timeouts
  `locale` - The locale

All Implemented Interfaces:
  `com.io7m.hibiscus.api.HBConfigurationType`

public record IdUClientConfiguration(io.opentelemetry.api.OpenTelemetry openTelemetry, Clock clock, Locale locale) extends Record implements com.io7m.hibiscus.api.HBConfigurationType
The user client configuration.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUClientConfiguration(io.opentelemetry.api.OpenTelemetry openTelemetry, Clock clock, Locale locale)`
  The user client configuration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Clock`
  `clock()`
  Returns the value of the `clock` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Locale`
  `locale()`
  Returns the value of the `locale` record component.
  `io.opentelemetry.api.OpenTelemetry`
  `openTelemetry()`
  Returns the value of the `openTelemetry` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdUClientConfiguration

    public IdUClientConfiguration(io.opentelemetry.api.OpenTelemetry openTelemetry, Clock clock, Locale locale)
    The user client configuration.
    Parameters:
      `openTelemetry` - The OpenTelemetry API
      `clock` - The clock used for timeouts
      `locale` - The locale

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### openTelemetry

    public io.opentelemetry.api.OpenTelemetry openTelemetry()
    Returns the value of the `openTelemetry` record component.
    Returns:
      the value of the `openTelemetry` record component

  - ### clock

    public Clock clock()
    Returns the value of the `clock` record component.
    Returns:
      the value of the `clock` record component

  - ### locale

    public Locale locale()
    Returns the value of the `locale` record component.
    Returns:
      the value of the `locale` record component